%global pkgdate 20041208

Name:           sunwait
Summary:        Calculate sunrise, sunset, twilight
Version:        0.1
Release:        0.2.%{pkgdate}%{?dist}
License:        GPLv2+
URL:            http://www.risacher.org/sunwait/
Source0:        http://www.risacher.org/sunwait/sunwait-%{pkgdate}.tar.gz
Source1:        http://www.risacher.org/sunwait/index.html

# As of 20-DEC-2014, the source code for the new fork sunwait4windows
# is not being provided in any archive format conducive for packaging,
# so I'm using the author's 2004 release, which still works fine.
# I'll contact Ian Craig, maintainer of the fork, about better source
# release packaging.

# Upstream notified of incorrect-fsf-address by email on 20-DEC-2014
# Requested man page of upstream by email on 25-FEB-2015

%description
Sunwait is a small C program for calculating sunrise and sunset, as
well as civil, nautical, and astronomical twilights. It has features
that make it useful for home automation tasks.

%prep
%setup -q -n %{name}-%{pkgdate}
cp %{SOURCE1} sunwait.html

%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"

%install
install -d -m 755 ${RPM_BUILD_ROOT}/%{_bindir}
install -m 755 sunwait ${RPM_BUILD_ROOT}/%{_bindir}

%files
%doc COPYING sunwait.html
%{_bindir}/sunwait

%changelog
* Thu Feb 26 2015 Eric Smith <brouhaha@fedoraproject.org> - 0.1-0.2.20041208
- Made changes for review comments (#1045676 comment 8).

* Wed Feb 25 2015 Eric Smith <brouhaha@fedoraproject.org> - 0.1-0.1.20041208
- Made changes for review comments (#1045676 comment 4).

* Sat Dec 21 2013 Eric Smith <spacewar@gmail.com> - 20041208-2
- Added missing RPM_OPT_FLAGS.

* Fri Dec 20 2013 Eric Smith <brouhaha@fedoraproject.org> - 20041208-1
- Initial build.
